Mac OS X:Build from source:fink:local

From Gramps
Revision as of 06:10, 24 February 2012 by Kulath (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

These instructions are for installing GRAMPS 3.0.1 on Mac OS X 10.5 (Leopard) using the "local/main" fink tree rather than "stable" or "unstable".

Do not use these instructions. Please install the latest version of gramps using the unstable tree of fink.

http://pdb.finkproject.org/pdb/package.php/gramps

Installation Instructions

Install X11

Install Xcode

Install fink from source

Configure fink

[pd@macbook ~]$ cat /sw/etc/fink.conf
# Fink configuration, initially created by bootstrap
Basepath: /sw
RootMethod: sudo
Trees: local/main stable/main stable/crypto unstable/main
Distribution: 10.5
SelfUpdateTrees: 10.4
ConfFileCompatVersion: 1
Mirror-apache: http://www.apache.org/dist
Mirror-apt: http://msn.wi.us.finkmirrors.net/mirrors/fink/finkbindist/bindist
Mirror-cpan: ftp://ftp.cpan.org/pub/CPAN
Mirror-ctan: ftp://tug.ctan.org/tex-archive
Mirror-debian: ftp://ftp.debian.org/debian
Mirror-freebsd: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles
Mirror-gimp: ftp://ftp.gimp.org/pub/gimp
Mirror-gnome: ftp://ftp.gnome.org/pub/GNOME
Mirror-gnu: ftp://ftp.gnu.org/gnu
Mirror-kde: ftp://ftp.kde.org/pub/kde
Mirror-master: http://distfiles.msn.wi.us.finkmirrors.net/mirrors/fink/distfiles/
Mirror-rsync: rsync://msn.wi.us.finkmirrors.net/finkinfo/
Mirror-sourceforge: http://west.dl.sourceforge.net/sourceforge/
MirrorContinent: nam
MirrorCountry: nam-us
MirrorOrder: MasterFirst
ProxyPassiveFTP: true
UseBinaryDist: false
Verbose: 1
SelfUpdateMethod: rsync
[pd@macbook ~]$

Create local gramps.info file

[pd@macbook ~]$ cat /sw/fink/dists/local/main/finkinfo/gramps.info 
Package: gramps
Version: 3.0.1
Revision: 1
Distribution: 10.3, 10.4, 10.5
Source: mirror:sourceforge:%n/%n-%v.tar.gz  
Source-MD5: 95109ffa408bd16870885b4627f357ae
Patch: gramps.patch
BuildDepends: pkgconfig (>= 0.15.0-2), imlib2, orbit2-dev, libgettext3-dev, gettext-bin, gettext-tools, libiconv-dev, scrollkeeper,  pygobject2-py25-dev, pygtk2-gtk-py25-dev, dbus-dev (>= 0.60-1), libhowl-dev, gnome-vfs2-unified-dev, glib2-dev (>= 2.12.0-1), libbonobo2-dev, gnome-python2-py25-dev
Depends: python25, gnome-python2-py25, pygobject2-py25, pygtk2-gtk-py25, imlib2-shlibs, reportlab-py25, pil-py25, libbonobo2-shlibs, glib2-shlibs (>= 2.12.0-1), gnome-vfs2-unified-shlibs, orbit2
ConfigureParams: --libdir='%p/lib'  --bindir='%p/bin' --mandir=%p/share/man
CompileScript: <<
export PYTHON='%p/bin/python2.5'; ./configure %c
make
<<
PostInstScript: scrollkeeper-rebuilddb
License: GPL
DocFiles: NEWS README AUTHORS ChangeLog COPYING TODO
Description: Genealogy software for GNOME/GTK 2
DescDetail: <<
Current Features
* GEDCOM import and export
* Merge capability
* Display filters
* Web page generation using a built-in template or a user defined template
* Unlimited bookmarks
* Soundex generator
* Relationship calculator
Uses reportlab and pil for generating reports.
<<
Maintainer: Ben Hines <bhines@alumni.ucsd.edu>
Homepage: http://gramps.sf.net/
[pd@macbook ~]$

Create local gramps.patch file

[pd@macbook ~]$ cat /sw/fink/dists/local/main/finkinfo/gramps.patch 
diff -Naur gramps-3.0.1-old/configure gramps-3.0.1/configure
--- gramps-3.0.1-old/configure	2008-05-17 16:33:13.000000000 -0400
+++ gramps-3.0.1/configure	2008-06-11 14:47:02.000000000 -0400
@@ -6565,7 +6565,7 @@
     # Do not import gnome.ui, this can kill python if the
     # display cannot be opened.  Just search it.
     import imp
-    imp.find_module('gnome/ui')
+    imp.find_module('ui',gnome.__path__)
     out("gnome.ui")
 except ImportError:
     out("NO")
@@ -6592,7 +6592,7 @@
     # Do not import gtk.glade, this can raise a RuntimeError if the
     # display cannot be opened.  Just search it.
     import imp
-    imp.find_module('gtk/glade')
+    imp.find_module('glade',[imp.find_module('gtk')[1]])
     out("gtk.glade")
 except ImportError:
     out("NO")
[pd@macbook ~]$

Install GRAMPS

[pd@macbook ~]$ fink selfupdate
[pd@macbook ~]$ fink -b install gramps
[pd@macbook ~]$ fink -b install gnome-doc-utils
[pd@macbook ~]$ fink -b install gramps
[pd@macbook ~]$

Launch GRAMPS

[pd@macbook ~]$ gramps

Launch GRAMPS from Terminal and it will open in X11.